org.springframework.core

## Interface Ordered

- All Known Subinterfaces:
    AspectInstanceFactory, AspectJPrecedenceInformation, MetadataAwareAspectInstanceFactory, PriorityOrdered, SmartApplicationListener
  All Known Implementing Classes:
    AbstractAdvisingBeanPostProcessor, AbstractAdvisorAutoProxyCreator, AbstractAspectJAdvice, AbstractAutoProxyCreator, AbstractBeanFactoryPointcutAdvisor, AbstractControllerUrlHandlerMapping, AbstractDetectingUrlHandlerMapping, AbstractGenericPointcutAdvisor, AbstractHandlerExceptionResolver, AbstractHandlerExceptionResolver, AbstractHandlerMapping, AbstractHandlerMapping, AbstractHandlerMethodAdapter, AbstractHandlerMethodExceptionResolver, AbstractHandlerMethodMapping, AbstractMapBasedHandlerMapping, AbstractPointcutAdvisor, AbstractTemplateViewResolver, AbstractUrlHandlerMapping, AnnotationAsyncExecutionInterceptor, AnnotationAwareAspectJAutoProxyCreator, AnnotationMethodHandlerAdapter, AnnotationMethodHandlerAdapter, AnnotationMethodHandlerExceptionResolver, AnnotationMethodHandlerExceptionResolver, AspectJAfterAdvice, AspectJAfterReturningAdvice, AspectJAfterThrowingAdvice, AspectJAroundAdvice, AspectJAwareAdvisorAutoProxyCreator, AspectJExpressionPointcutAdvisor, AspectJMethodBeforeAdvice, AspectJPointcutAdvisor, AspectJWeavingEnabler, AsyncAnnotationAdvisor, AsyncAnnotationBeanPostProcessor, AsyncExecutionInterceptor, AutowiredAnnotationBeanPostProcessor, BeanFactoryAspectInstanceFactory, BeanFactoryCacheOperationSourceAdvisor, BeanFactoryTransactionAttributeSourceAdvisor, BeanNameAutoProxyCreator, BeanNameUrlHandlerMapping, BeanNameViewResolver, CommonAnnotationBeanPostProcessor, ConfigurationClassPostProcessor, ContentNegotiatingViewResolver, ControllerAdviceBean, ControllerBeanNameHandlerMapping, ControllerClassNameHandlerMapping, CustomAutowireConfigurer, CustomEditorConfigurer, CustomScopeConfigurer, DefaultAdvisorAutoProxyCreator, DefaultAnnotationHandlerMapping, DefaultAnnotationHandlerMapping, DefaultBeanFactoryPointcutAdvisor, DefaultHandlerExceptionResolver, DefaultIntroductionAdvisor, DefaultPointcutAdvisor, ExceptionHandlerExceptionResolver, ExposeInvocationInterceptor, ExtendedBeanInfoFactory, FreeMarkerViewResolver, GenericApplicationListenerAdapter, HandlerExceptionResolverComposite, InfrastructureAdvisorAutoProxyCreator, InitDestroyAnnotationBeanPostProcessor, InternalResourceViewResolver, JasperReportsViewResolver, LazySingletonAspectInstanceFactoryDecorator, MethodValidationPostProcessor, NameMatchMethodPointcutAdvisor, ParameterHandlerMapping, PersistenceAnnotationBeanPostProcessor, PersistenceExceptionTranslationAdvisor, PersistenceExceptionTranslationPostProcessor, PlaceholderConfigurerSupport, PortletModeHandlerMapping, PortletModeParameterHandlerMapping, PreferencesPlaceholderConfigurer, PropertyOverrideConfigurer, PropertyPlaceholderConfigurer, PropertyResourceConfigurer, PropertySourcesPlaceholderConfigurer, PrototypeAspectInstanceFactory, ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor, RegexpMethodPointcutAdvisor, RequestMappingHandlerAdapter, RequestMappingHandlerMapping, RequestMappingInfoHandlerMapping, RequiredAnnotationBeanPostProcessor, ResourceBundleViewResolver, ResponseStatusExceptionResolver, ScheduledAnnotationBeanPostProcessor, ScriptFactoryPostProcessor, ServletContextPropertyPlaceholderConfigurer, SimpleAspectInstanceFactory, SimpleBeanFactoryAwareAspectInstanceFactory, SimpleMappingExceptionResolver, SimpleMappingExceptionResolver, SimpleMetadataAwareAspectInstanceFactory, SimpleUrlHandlerMapping, SingletonAspectInstanceFactory, SingletonMetadataAwareAspectInstanceFactory, SourceFilteringListener, SpringLobCreatorSynchronization, StaticMethodMatcherPointcutAdvisor, TilesViewResolver, TilesViewResolver, TransactionAttributeSourceAdvisor, TransactionSynchronizationAdapter, UrlBasedViewResolver, VelocityLayoutViewResolver, VelocityViewResolver, XmlViewResolver, XsltViewResolver

      public interface Ordered

  Interface that can be implemented by objects that should be orderable, for example in a Collection.

  The actual order can be interpreted as prioritization, with the first object (with the lowest order value) having the highest priority.

  Note that there is a 'priority' marker for this interface: `PriorityOrdered`. Order values expressed by PriorityOrdered objects always apply before order values of 'plain' Ordered values.

  Since:
    07.04.2003
  Author:
    Juergen Hoeller
  See Also:
    `OrderComparator`, `Order`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HIGHEST_PRECEDENCE` Useful constant for the highest precedence value.
    `static int` | `LOWEST_PRECEDENCE` Useful constant for the lowest precedence value.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.

- - ### Field Detail

    - #### HIGHEST_PRECEDENCE

          static final int HIGHEST_PRECEDENCE

      Useful constant for the highest precedence value.
      See Also:
        `Integer.MIN_VALUE`, Constant Field Values

    - #### LOWEST_PRECEDENCE

          static final int LOWEST_PRECEDENCE

      Useful constant for the lowest precedence value.
      See Also:
        `Integer.MAX_VALUE`, Constant Field Values

  - ### Method Detail

    - #### getOrder

          int getOrder()

      Return the order value of this object, with a higher value meaning greater in terms of sorting.

      Normally starting with 0, with `Integer.MAX_VALUE` indicating the greatest value. Same order values will result in arbitrary positions for the affected objects.

      Higher values can be interpreted as lower priority. As a consequence, the object with the lowest value has highest priority (somewhat analogous to Servlet "load-on-startup" values).

      Returns:
        the order value